Open SCAP Library

Public Member Functions | Data Fields
xccdf_profile_note Struct Reference
XCCDF

XCCDF note for given rule in context of given profile. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_profile_note * | xccdf_profile_note_new (void)
void | xccdf_profile_note_free (struct xccdf_profile_note *note)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_profile_note_get_reftag (const struct xccdf_profile_note *note)
struct oscap_text * | xccdf_profile_note_get_text (const struct xccdf_profile_note *note)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_profile_note_set_reftag (struct xccdf_profile_note *obj, const char *newval)
bool | xccdf_profile_note_set_text (struct xccdf_profile_note *obj, struct oscap_text *newval)

## Data Fields
struct oscap_text * | text
char * | reftag

## Detailed Description

XCCDF note for given rule in context of given profile.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h